Subject: Re: bug#53391: First keypress doesn't work when scratch buffer is killed in emacs 28, emacs daemon + emacs client is used

From: Евгений Курневский<[email-masked]>
Date: Fri, 21 Jan 2022 12:10:42 +0000

> Does this mean you see the problem in stock Emacs 28 built from the
> emacs-28 branch of the upstream Emacs repository on Savannah?

Not exactly, it fetches
https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-28.0.91.tar.gz
and builds it.
But it doesn't apply any custom changes, and to build emacs manually I'd
anyway have to get the same environment where it's built and do almost the
same things - nixos is a bit more complex system than usual linux.

> Can you type C-g and show the backtrace?

Tried to do it with (toggle-debug-on-quit), but just got 'Debugger
entered--Lisp error: (quit)'

On Fri, Jan 21, 2022 at 11:55 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Евгений Курневский <[email-masked]>
> > Date: Fri, 21 Jan 2022 10:01:23 +0000
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > Could it be some kind of a race? When originally tried with my complete
> config I had different results with
> > and without (require 'easy-mmode) before killing scratch buffer.
> Probably you can try with this line as well?
>
> I already did, and I don't see the problem.
>
> > Also I noticed that if you press q in this case emacs just kills this
> opened buffer. So probably emacs is in
> > some mode in this case - can I check it somehow?
>
> Can you type C-g and show the backtrace?
>

-- 
С уважением, Курневский Евгений.